# ACE_Object_Node Class Reference

Keeps track of the symbol name for a shared object. More...

`#include <Parse_Node.h>`

Inheritance diagram for ACE_Object_Node:

[legend]
Collaboration diagram for ACE_Object_Node:

[legend]
List of all members.

## Public Member Functions

| ACE_Object_Node (const ACE_TCHAR *pathname, const ACE_TCHAR *obj_name)
virtual void * | symbol (int &yyerrno, ACE_Service_Object_Exterminator *=0)
virtual | ~ACE_Object_Node (void)
void | dump (void) const
| Dump the state of an object.

## Public Attributes

| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.

## Private Attributes

const ACE_TCHAR * | object_name_
| Name of the object that we're parsing.

## Detailed Description

Keeps track of the symbol name for a shared object.

Note:
  This class is only meant for INTERNAL use by ACE.

## Constructor & Destructor Documentation

ACE_Object_Node::ACE_Object_Node | ( | const ACE_TCHAR * | pathname,
|  | const ACE_TCHAR * | obj_name
| ) |

ACE_Object_Node::~ACE_Object_Node | ( | void |  | ) | `[virtual]`

## Member Function Documentation

void ACE_Object_Node::dump | ( | void |  | ) | const

| Dump the state of an object. Reimplemented from ACE_Location_Node.

void * ACE_Object_Node::symbol | ( | int & | yyerrno,
|  | ACE_Service_Object_Exterminator * | = `0`
| ) | `[virtual]`

| Implements ACE_Location_Node.

## Member Data Documentation

ACE_Object_Node::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_Location_Node.

const ACE_TCHAR* ACE_Object_Node::object_name_ `[private]`

| Name of the object that we're parsing.

The documentation for this class was generated from the following files:

- Parse_Node.h
- Parse_Node.cpp